import { jsx } from "react/jsx-runtime";
/* empty css                                  */
import Chip from "../../../../node_modules/@mui/material/Chip/Chip.js";
function FilledOnlyLabelBadges({
  label,
  color,
  size,
  icon: _icon,
  ...args
}) {
  const getFilledBadgesColor = (colorValue) => {
    switch (colorValue) {
      case "info":
        return "info-badge-filled";
      case "error":
        return "error-badge-filled";
      case "warning":
        return "warning-badge-filled";
      case "success":
        return "success-badge-filled";
      default:
        return "";
    }
  };
  return /* @__PURE__ */ jsx(
    Chip,
    {
      className: `impact_badges_only_label_filled ${getFilledBadgesColor(
        color
      )} ${size === "small" ? "small-badge" : ""}`,
      label,
      ...args
    }
  );
}
export {
  FilledOnlyLabelBadges as default
};
